# Generated by Django 5.0.6 on 2024-07-05 08:53

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        (
            "participation",
            "0017_alter_passage_solution_number_alter_pool_round_and_more",
        ),
    ]

    operations = [
        migrations.RenameField(
            model_name="note",
            old_name="reporter_oral",
            new_name="reviewer_oral",
        ),
        migrations.RenameField(
            model_name="note",
            old_name="reporter_writing",
            new_name="reviewer_writing",
        ),
        migrations.RenameField(
            model_name="passage",
            old_name="reporter",
            new_name="reviewer",
        ),
        migrations.AlterField(
            model_name="note",
            name="reviewer_oral",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                    (5, 5),
                    (6, 6),
                    (7, 7),
                    (8, 8),
                    (9, 9),
                    (10, 10),
                ],
                default=0,
                verbose_name="reviewer oral note",
            ),
        ),
        migrations.AlterField(
            model_name="note",
            name="reviewer_writing",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                    (5, 5),
                    (6, 6),
                    (7, 7),
                    (8, 8),
                    (9, 9),
                    (10, 10),
                ],
                default=0,
                verbose_name="reviewer writing note",
            ),
        ),
        migrations.AlterField(
            model_name="passage",
            name="reviewer",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="participation.participation",
                verbose_name="reviewer",
            ),
        ),
        migrations.AlterField(
            model_name="synthesis",
            name="type",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "opponent"), (2, "reviewer")]
            ),
        ),
    ]
